<?php

use EventPortal\Domain\Admin\Models\Admin;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Approval\Models\Approval;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Approval::class, static function (Faker\Generator $faker) {
    return [
        'status' => $faker->randomElement(
            [
                'awaiting-approval',
                'approved',
                'line-manager-approved',
                'declined',
            ]
        ),
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'admin_id' => function () {
            return factory(Admin::class)->create()->id;
        },
    ];
});

$factory->state(Approval::class, 'awaiting-approval', static function () {
    return [
        'status' => 'awaiting-approval',
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'admin_id' => function () {
            return factory(Admin::class)->create()->id;
        },
    ];
});

$factory->state(Approval::class, 'approved', static function () {
    return [
        'status' => 'approved',
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'admin_id' => function () {
            return factory(Admin::class)->create()->id;
        },
    ];
});

$factory->state(Approval::class, 'line-manager-approved', static function () {
    return [
        'status' => 'line-manager-approved',
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'admin_id' => function () {
            return factory(Admin::class)->create()->id;
        },
    ];
});

$factory->state(Approval::class, 'declined', static function () {
    return [
        'status' => 'declined',
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'admin_id' => function () {
            return factory(Admin::class)->create()->id;
        },
    ];
});
