<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\Input\Text;
use EventPortal\Domain\Component\Section;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Domain\Handlers\CreateModel;
use EventPortal\Domain\Rules\AlphaWithSpaces;
use EventPortal\Enums\InertiaMethod;

Form::make('role.create')
    ->addHandler(new CreateModel)
    ->addFields(function () {
        return [
            Section::make()->fields([
                Text::make('Name')
                    ->name('name')
                    ->placeholder('Administrator')
                    ->rules(['required', 'unique:roles,label', new AlphaWithSpaces]),
            ]),
        ];
    })
    ->addActions(function () {
        return [
            Button::make('Cancel')
                ->variant('secondary')
                ->method(InertiaMethod::VISIT())
                ->route('admin.permission.index'),
        ];
    })
    ->addPrimaryAction(function () {
        return Button::make('Create role')
            ->method(InertiaMethod::POST())
            ->route('admin.role.store');
    });
